relayd(8)

NAME
relayd

SYNOPSIS
relayd [flags]

DESCRIPTION

Relayd acts as a RAWhoisd cache than runs as a daemon on a specified port, 5055 by default, accepting RAWhoisd queries. The query is parsed and the local cache is examined for the requested object. If the object is found the query is returned immediately, otherwise the query is forwarded to the real RAWhoisd. Once relayd receives a forwarded request it is returned to the requester.

Relayd serves two primary purposes, first to reduce query latency, second to provide a local (private) copy of route policy objects. For example providers behind heavily congested networks may see much quicker response when using the RAToolSet. Also, providers may be interested in using the RAToolSet with private information they are unwilling to register in public databases.

NOTE: Currently only aut-num objects are recognized.

RAToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -version
        Print the version number and quit.

    -h <server>
        Use <server> as the RAWhoisd daemon host. By default "whois.ra.net" will be used.

    -p <port>
        Establish an radbserver connection to port <port>.

    -s <sources>
        Use <sources> as the databases to be searched in order.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -irr_server <server>
        Use <server> as the RAWhoisd daemon host. By default "whois.ra.net" will be used.

    -irr_port <port>
        Establish an radbserver connection to port <port>.

    -irr_sources <sources>
        Use <sources> as the databases to be searched in order.

    -c <config_file>
        Read <config_file> at startup. The configuration file can be any valid RIPE-181 database file. By default, the file "/etc/relayd.conf" will be read. Currently only 'aut-num' objects are recognized.

    -d  Set the debug flag. This will cause relayd not to be run as a daemon and turns verbose on.

    -l <logfile>
        Use <logfile> for all output, this will only be used if the verbose [-v] flag is set. stderr is used by default.

    -sp <port>
        Run relayd on port <port>, that is relayd listens to user requests on <port>. Port 5055 is used by default.

    -v  Set the verbose flag. This will cause output to be printed to <logfile>. If -v is not invoked, relayd will not print any messages once the configuration file has been read and the daemon started.

    -w <sec>
        Time out if no response received from RAWhoisd in <sec> seconds.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the radbserver host to connect.

    IRR_PORT
        Specifies the radbserver port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

AUTHORS
Rusty Eddy <eddy@isi.edu>